ViennaCL - The Vienna Computing Library: viennacl::device_specific::tree_parsing::statement_representation_functor Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Static Public Member Functions | List of all members
viennacl::device_specific::tree_parsing::statement_representation_functor Class Reference

`#include <tree_parsing.hpp>`

Inheritance diagram for viennacl::device_specific::tree_parsing::statement_representation_functor:

## Public Types
typedef void | result_type

## Public Member Functions
| statement_representation_functor (symbolic_binder &binder, char *&ptr)
template<class NumericT >
result_type | operator() (NumericT const &) const
template<class NumericT >
result_type | operator() (scalar< NumericT > const &scal) const
| Scalar mapping. More...
template<class NumericT >
result_type | operator() (vector_base< NumericT > const &vec) const
| Vector mapping. More...
template<class NumericT >
result_type | operator() (implicit_vector_base< NumericT > const &) const
| Implicit vector mapping. More...
template<class NumericT >
result_type | operator() (matrix_base< NumericT > const &mat) const
| Matrix mapping. More...
template<class NumericT >
result_type | operator() (implicit_matrix_base< NumericT > const &) const
| Implicit matrix mapping. More...
void | operator() (scheduler::statement const &statement, vcl_size_t root_idx, leaf_t leaf_t) const
Public Member Functions inherited from viennacl::device_specific::tree_parsing::traversal_functor
void | call_before_expansion (scheduler::statement const &, vcl_size_t) const
void | call_after_expansion (scheduler::statement const &, vcl_size_t) const

## Static Public Member Functions
static void | append (char *&p, const char *str)

## Detailed Description

Definition at line 398 of file tree_parsing.hpp.

## Member Typedef Documentation

typedef void viennacl::device_specific::tree_parsing::statement_representation_functor::result_type

Definition at line 413 of file tree_parsing.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::tree_parsing::statement_representation_functor::statement_representation_functor | ( | symbolic_binder & | binder,
|  | char *& | ptr
| ) |  |
| inline

Definition at line 415 of file tree_parsing.hpp.

## Member Function Documentation

static void viennacl::device_specific::tree_parsing::statement_representation_functor::append | ( | char *& | p,
|  | const char * | str
| ) |  |
| inlinestatic

Definition at line 471 of file tree_parsing.hpp.

template<class NumericT >

result_type viennacl::device_specific::tree_parsing::statement_representation_functor::operator() | ( | NumericT const & |  | ) | const
| inline

Definition at line 418 of file tree_parsing.hpp.

template<class NumericT >

result_type viennacl::device_specific::tree_parsing::statement_representation_functor::operator() | ( | scalar< NumericT > const & | scal | ) | const
| inline

Scalar mapping.

Definition at line 427 of file tree_parsing.hpp.

template<class NumericT >

result_type viennacl::device_specific::tree_parsing::statement_representation_functor::operator() | ( | vector_base< NumericT > const & | vec | ) | const
| inline

Vector mapping.

Definition at line 436 of file tree_parsing.hpp.

template<class NumericT >

result_type viennacl::device_specific::tree_parsing::statement_representation_functor::operator() | ( | implicit_vector_base< NumericT > const & |  | ) | const
| inline

Implicit vector mapping.

Definition at line 445 of file tree_parsing.hpp.

template<class NumericT >

result_type viennacl::device_specific::tree_parsing::statement_representation_functor::operator() | ( | matrix_base< NumericT > const & | mat | ) | const
| inline

Matrix mapping.

Definition at line 454 of file tree_parsing.hpp.

template<class NumericT >

result_type viennacl::device_specific::tree_parsing::statement_representation_functor::operator() | ( | implicit_matrix_base< NumericT > const & |  | ) | const
| inline

Implicit matrix mapping.

Definition at line 464 of file tree_parsing.hpp.

void viennacl::device_specific::tree_parsing::statement_representation_functor::operator() | ( | scheduler::statement const & | statement,
|  | vcl_size_t | root_idx,
|  | leaf_t | leaf_t
| ) |  | const
| inline

Definition at line 478 of file tree_parsing.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/tree_parsing.hpp